Package org.gradle.api.artifacts.transform

## Interface TransformSpec<T extends TransformParameters>

- Type Parameters:
    `T` - The transform specific parameter type.

      public interface TransformSpec<T extends TransformParameters>

  Base configuration for artifact transform registrations.
  Since:
    5.3
  See Also:
    `DependencyHandler.registerTransform(Class, Action)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AttributeContainer` | `getFrom()` | Attributes that match the variant that is consumed.
    `T` | `getParameters()` | The parameters for the transform action.
    `AttributeContainer` | `getTo()` | Attributes that match the variant that is produced.
    `void` | `parameters​(Action<? super T> action)` | Configure the parameters for the transform action.

- - ### Method Detail

    - #### getFrom

          AttributeContainer getFrom()

      Attributes that match the variant that is consumed.
      See Also:
        `DependencyHandler.registerTransform(Class, Action)`

    - #### getTo

          AttributeContainer getTo()

      Attributes that match the variant that is produced.
      See Also:
        `DependencyHandler.registerTransform(Class, Action)`

    - #### getParameters

          T getParameters()

      The parameters for the transform action.
      See Also:
        `DependencyHandler.registerTransform(Class, Action)`

    - #### parameters

          void parameters​(Action<? super T> action)

      Configure the parameters for the transform action.
      See Also:
        `DependencyHandler.registerTransform(Class, Action)`